Protected Member Functions | Protected Attributes | List of all members
libetonyek::IWORKPropertyContextBase Class Reference

`#include <IWORKPropertyContextBase.h>`

Inheritance diagram for libetonyek::IWORKPropertyContextBase:

## Protected Member Functions
| IWORKPropertyContextBase (IWORKXMLParserState &state, IWORKPropertyMap &propMap)
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Protected Attributes
IWORKPropertyMap & | m_propMap
bool | m_default
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Additional Inherited Members
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Constructor & Destructor Documentation

## ◆ IWORKPropertyContextBase()

libetonyek::IWORKPropertyContextBase::IWORKPropertyContextBase | ( | IWORKXMLParserState & | state,
|  | IWORKPropertyMap & | propMap
| ) |  |
| protected

## Member Data Documentation

## ◆ m_default

bool libetonyek::IWORKPropertyContextBase::m_default
| protected

## ◆ m_propMap

IWORKPropertyMap& libetonyek::IWORKPropertyContextBase::m_propMap
| protected

The documentation for this class was generated from the following files:

- IWORKPropertyContextBase.h
- IWORKPropertyContextBase.cpp